Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class DocumentTypeProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty
          com.plumtree.remote.prc.DocumentTypeProperty

public class DocumentTypeProperty
extends ObjectProperty

An enumerated type used to describe the properties of Document Types in the portal. Document Types support all of the properties in `ObjectProperty` as well as the following properties.

Field Summary
`static DocumentTypeProperty` | `AccessorClassID` The class ID of the Document Type provider (called Accessors in version 4.5) that will be used for this Document Type.
`static DocumentTypeProperty` | `AccessorFormatID` The format ID to pass to the Document Type provider for this Document Type.
`static DocumentTypeProperty` | `ImageUUID` The class ID of the image for the object.

Fields inherited from class com.plumtree.remote.prc.ObjectProperty
`ClassID, Created, Description, FolderID, IsLocalized, Language, LastModified, LastModifiedBy, Name, ObjectID, OwnerID, UUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ImageUUID

    public static final DocumentTypeProperty ImageUUID

  The class ID of the image for the object.

### AccessorClassID

    public static final DocumentTypeProperty AccessorClassID

  The class ID of the Document Type provider (called Accessors in version 4.5) that will be used for this Document Type.

### AccessorFormatID

    public static final DocumentTypeProperty AccessorFormatID

  The format ID to pass to the Document Type provider for this Document Type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.